GET /interaction/v1/rest

Overview 

Retrieves the discovery document for the collection of journey resources. To call this resource, assign your API Integration the Automation | Interactions | Read scope.

Usage 

Example Request

This request retrieves the Journey API discovery document. This document allows developers to quickly identify all methods available for the Journey service.

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2GET /interaction/v1/rest
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response

1HTTP/1.1 200
2
3{
4    "methods": {
5        "discovery": {
6            "path": "rest",
7            "httpMethod": "get",
8            "description": "Returns discovery document",
9            "parameters": {}
10        },
11        "postInteraction": {
12            "path": "interactions",
13            "httpMethod": "post",
14            "description": "Create or save a journey",
15            "parameters": {}
16        },
17        "updateInteraction": {
18            "path": "interactions",
19            "httpMethod": "put",
20            "description": "Update a journey version",
21            "parameters": {}
22        },
23        "updateInteractionByKey": {
24            "path": "interactions/key:{key}",
25            "httpMethod": "put",
26            "description": "Update a journey version",
27            "parameters": {}
28        },
29        "updateInteractionById": {
30            "path": "interactions/{id}",
31            "httpMethod": "put",
32            "description": "Update a journey version",
33            "parameters": {}
34        },
35        "publishInteractionById": {
36            "path": "interactions/publishAsync/{id}",
37            "httpMethod": "post",
38            "description": "Publish a journey version asynchronously",
39            "parameters": {}
40        },
41        "publishInteractionByKey": {
42            "path": "interactions/publishAsync/key:{key}",
43            "httpMethod": "post",
44            "description": "Publish a journey version asynchronously",
45            "parameters": {}
46        },
47        "publishStatus": {
48            "path": "interactions/publishStatus/{id}",
49            "httpMethod": "get",
50            "description": "Check the status of a publication",
51            "parameters": {}
52        },
53        "stop": {
54            "path": "interactions/stop/{id}",
55            "httpMethod": "post",
56            "description": "Stops a running journey.",
57            "parameters": {}
58        },
59        "stopByKey": {
60            "path": "interactions/stop/key:{key}",
61            "httpMethod": "post",
62            "description": "Stops a running journey.",
63            "parameters": {}
64        },
65        "getGoalStatistics": {
66            "path": "goalstatistics/{id}",
67            "httpMethod": "get",
68            "description": "Retrieve goal statistics for a journey",
69            "parameters": {
70                "id": "String id of the journey"
71            }
72        },
73        "postGoalStatistics": {
74            "path": "goalstatistics/clear/{id}",
75            "httpMethod": "post",
76            "description": "Clear goal statistics for a journey",
77            "parameters": {
78                "id": "String id of the journey"
79            }
80        },
81        "getInteraction": {
82            "path": "interactions/{id}",
83            "httpMethod": "get",
84            "description": "Retrieve a journey.",
85            "parameters": {}
86        },
87        "deleteInteraction": {
88            "path": "interactions/{id}",
89            "httpMethod": "delete",
90            "description": "Delete a journey.",
91            "parameters": {}
92        },
93        "deleteInteractionByKey": {
94            "path": "interactions/key:{key}",
95            "httpMethod": "delete",
96            "description": "Delete a journey.",
97            "parameters": {}
98        },
99        "getInteractionCollection": {
100            "path": "interactions",
101            "httpMethod": "get",
102            "description": "Retrieve a collection of journeys.",
103            "parameters": {}
104        },
105        "getWaitStatistics": {
106            "path": "waitstatistics/{id}",
107            "httpMethod": "get",
108            "description": "Retrieve wait activity counts for a journey",
109            "parameters": {
110                "id": "String id of the journey"
111            }
112        },
113        "getJourneyMap": {
114            "path": "map",
115            "httpMethod": "get",
116            "description": "Get a Journey Map.",
117            "parameters": {}
118        },
119        "createUpdateJourneyMap": {
120            "path": "map",
121            "httpMethod": "post",
122            "description": "Create/update a Journey Map.",
123            "parameters": {}
124        },
125        "searchTraceEvents": {
126            "path": "interactions/traceevents/search",
127            "httpMethod": "post",
128            "description": "Search for trace events stored in ElasticSearch",
129            "parameters": {}
130        },
131        "getTriggerStatistics": {
132            "path": "triggerstats/{eventDefinitionID}",
133            "httpMethod": "get",
134            "description": "Retrieve trigger statistics",
135            "parameters": {
136                "eventDefinitionID": "Event definition Id"
137            }
138        },
139        "createTriggerTest": {
140            "path": "interactions/triggerTest/{eventDefinitionId}",
141            "httpMethod": "post",
142            "description": "Create a trigger test",
143            "parameters": {}
144        },
145        "updateTriggerTest": {
146            "path": "interactions/triggerTest/{eventDefinitionId}",
147            "httpMethod": "put",
148            "description": "Update a trigger test",
149            "parameters": {}
150        },
151        "deleteTriggerTest": {
152            "path": "interactions/triggerTest/{eventDefinitionId}",
153            "httpMethod": "delete",
154            "description": "Delete a trigger test",
155            "parameters": {}
156        },
157        "postEventDefinition": {
158            "path": "eventDefinitions",
159            "httpMethod": "post",
160            "description": "Create an event definition",
161            "parameters": {}
162        },
163        "updateEventDefinitionById": {
164            "path": "eventDefinitions/{id}",
165            "httpMethod": "put",
166            "description": "Update an event definition by ID",
167            "parameters": {}
168        },
169        "updateEventDefinitionByKey": {
170            "path": "eventDefinitions/key:{key}",
171            "httpMethod": "put",
172            "description": "Update an event definition by key",
173            "parameters": {}
174        },
175        "getEventDefinitionByKey": {
176            "path": "eventDefinitions/key:{key}",
177            "httpMethod": "get",
178            "description": "Get an event definition by key",
179            "parameters": {}
180        },
181        "getEventDefinitionById": {
182            "path": "eventDefinitions/{id}",
183            "httpMethod": "get",
184            "description": "Get an event definition by id",
185            "parameters": {}
186        },
187        "getEventDefinitionCollection": {
188            "path": "eventDefinitions",
189            "httpMethod": "get",
190            "description": "Retrieve a collection of  event definitions.",
191            "parameters": {}
192        },
193        "deleteEventDefinitionById": {
194            "path": "eventDefinitions/{id}",
195            "httpMethod": "delete",
196            "description": "Delete an event definition by id",
197            "parameters": {}
198        },
199        "deleteEventDefinitionByKey": {
200            "path": "eventDefinitions/key:{key}",
201            "httpMethod": "delete",
202            "description": "Delete an event definition by key",
203            "parameters": {}
204        },
205        "postInteractionsEvents": {
206            "path": "events",
207            "httpMethod": "post",
208            "description": "Post an event to journeys",
209            "parameters": {}
210        },
211        "getHistory": {
212            "path": "history",
213            "httpMethod": "get",
214            "description": "Retrieve a collection of history",
215            "parameters": {}
216        }
217    }
218}

If successful, the API returns a 200 OK response. If unsuccessful, the API returns a 400 with more details on the error.

DID THIS ARTICLE SOLVE YOUR ISSUE?
Let us know so we can improve!